/**
 * Introduction to java arrays.
 * 
 * @author GrayKnight
 * @version 11/5/12  1/6/16
 */

import java.util.Random;

public class Array_Processor
{
    private int[] myIntArray;
    
    //constructor
    public Array_Processor(int[] array)
    {
        myIntArray = array;
    }
    
    //returns the sum of the instance array
    public int sumOfArray()
    {
        int sum = 0;
        //the for loop adds the quantitiy of each element in the array to the variable sum.
        for(int x = 0; x < myIntArray.length; x++)
            sum += myIntArray[x];
        
        return sum;
    }
    
    //This mutator method accepts an array of integers,
    //fills it with random scores between 60 - 99,
    //and saves the result as the instance array
    public void randomScoreFiller(int[] array)
    {
        Random rand = new Random();
        
        //All arrays have a static variable called 'length'
        //To access the number of indices in and array use 'nameOfArray.length'
        for(int x = 0; x <= array.length -1; x++)
            array[x] = rand.nextInt(40) + 60;
        
        myIntArray = array;    
    }
    
    //returns a String representation of the instance array.
    public String toString()
    {
        String output = "";
        
        //build the String
        for(int x = 0; x <= myIntArray.length -1; x++)
        {
            output += myIntArray[x] + "\t";       //Tab between each number.
            if ((x + 1) % 5 == 0) output += "\n";  //This formats 5 columns of numbers.
        }
        
        return output;
    }
}
